Subject: Re: Updated: fortune-1.99.1-1
From: Yitzchak Scott-Thoennes <[email-masked]>
To: [email-masked]
Date: Fri, 21 Jan 2005 14:59:43 -0800

On Fri, Jan 21, 2005 at 04:49:21PM +0100, Michael Schaap wrote:
> Hi Yitzckak,
> 
> On 13-Jan-2005 21:27, Yitzchak Scott-Thoennes wrote:
> 
> >  Achilles:  Don't tell me you believe in fortune-telling!
> >  Tortoise:  No...but they say it works even if you don't believe in it.
> >     -- GEB, Hofstadter
> >
> >I've made a new version of fortune available for installation.
> > 
> >
> Thanks for bracing the storm and doing this!
> 
> One thing, though: this version is much, much slower than the previous 
> one. It takes around a second to produce a fortune, while the old one 
> ran pretty much instantaneously. (This is on a high end XP box.)

Is that the first time you run it, or every time?  For me it goes
much faster on subsequent runs, presumably due to disk cache.

> When I run "strace fortune", the new version produces 16,771 lines of 
> output. The old version produces 467 lines...
> I won't attach it to this message, for size reasons.

I will actually try it in the next day or so, but I believe this is
due to a bug in the old fortune version where the -a switch was
disregarded and only a single fortune file checked.  Additionally,
the old fortune had fewer fortunes in far fewer files.

Nevertheless, I will see if there's any way to speed up the selection
from any files.

As a workaround, you can cat together the base fortune files (those
without a .dat or .u8 extension), run /usr/bin/strfile on it to create
the .dat file, and create a .u8 symlink to it.  Then run fortune without
the -a switch but with your large file name.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/